triedefs.h File Reference

General typedefs for trie. More...

## Macros

#define | ALPHA_CHAR_ERROR (~(AlphaChar)0)
| Error value for alphabet character.
#define | TRIE_CHAR_TERM '\0'
| Trie terminator character.
#define | TRIE_INDEX_ERROR 0
| Trie error index.
#define | TRIE_INDEX_MAX 0x7fffffff
| Maximum trie index value.
#define | TRIE_DATA_ERROR -1
| Trie error data.

## Typedefs

typedef uint32 | AlphaChar
| Alphabet character type for use as input/output strings of trie keys.
typedef unsigned char | TrieChar
| Raw character type mapped into packed set from AlphaChar, for use in actual trie transition calculations.
typedef int32 | TrieIndex
| Type of index into Trie double-array and tail structures.
typedef int32 | TrieData
| Type of value associated to trie entries.

## Detailed Description

General typedefs for trie.